Subject: Re: [Alacrityvm-devel] [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Avi Kivity <[email-masked]>
Date: Sun, 27 Dec 2009 11:15:58 +0200

On 12/23/2009 11:21 PM, Gregory Haskins wrote:
> That said, you are still incorrect.  With what I proposed, the model
> will run as an in-kernel vbus device, and no longer run in userspace.
> It would therefore improve virtio-net as I stated, much in the same
> way vhost-net or venet-tap do today.
>    

That can't work.  virtio-net has its own ABI on top of virtio, for 
example it prepends a header for TSO information.  Maybe if you disable 
all features it becomes compatible with venet, but that cripples it.

-- 
error compiling committee.c: too many arguments to function